Preview
Request type
|
GET Request Sample |
| /api/v1/samples/{id}/tokens?myParam={param} HTTP/1.1 | |
Parameters table
|
requiredParam Required |
string |
Description of the required parameter. |
|
optionalParam Optional |
int |
An optional parameter will be described here. |
Request/response sample
Code |
curl -X GET ^ --basic ^ --user administrator:t62dVG0YkqdTHO4G4K7z2jQ8 ^ --cacert comodo.ca-bundle ^ https://mycompany.com/api/v1/sample/123/tokens?param=1 |
Response codes
200: OK
The request has succeeded, the response body contains the requested information.
403: Forbidden
Returned if the user has no permission to perform the action.
404: Not Found
Returned if an item with the specified name does not exist.
Default API Quick Parts Markup
Request types
| GET |
|
| DELETE |
|
| POST |
|
| PUT |
|
Member table
HTML |
|
Request/response sample
Due to ClickHelp specifics, it's not possible to recreate this from simply copy-pasting the code. You will need to create this from a Code Sample.
Response codes
HTML |
<p class="CHResponseCode_good"> 200: OK </p> <p> The request has succeeded, the response body contains the requested information. </p> <p class="CHResponseCode_warning"> 403: Forbidden </p> <p> Returned if the user has no permission to perform the action. </p> <p class="CHResponseCode_error"> 404: Not Found </p> <p> Returned if an item with the specified name does not exist. </p> |
Default API Quick Parts CSS
CSS |
.CHMemberTable { border: 1px solid #e7ecf0; border-radius: 3px; border-collapse: collapse; width: 100%; } .CHMemberTable tr:nth-child(even) { background-color: #f5f7f9; } .CHMemberTable td { border-bottom: 1px solid #f5f7f9; vertical-align: baseline; padding: 10px; } .CHMemberTable td p { margin: 0; line-height: 1.5; } .CHMemberTable > tr > td:first-child, .CHMemberTable > tbody > tr > td:first-child { line-height: 1; white-space: nowrap; } .CHMemberTable > tr > td:nth-child(2), .CHMemberTable > tbody > tr > td:nth-child(2) { font-family: "Consolas", monospace; color: #8792a2; white-space: nowrap; } .CHMemberTable > tr > td:last-child, .CHMemberTable > tbody > tr > td:last-child { width: 100%; } .CHMemberTable_optionalMark, .CHMemberTable_requiredMark { font-family: monospace; font-size: 0.9em; text-transform: uppercase; } .CHMemberTable_requiredMark { color: #ed6055; } .CHHttpRequest { width: 100%; table-layout: fixed; border: none; border-collapse: collapse; border-spacing: 0; margin-top: 1em; } .CHHttpRequest_headerImg, .CHHttpRequest_headerText { padding-top: 5px; padding-bottom: 8px; font-weight: bold; } .CHHttpRequest_get .CHHttpRequest_headerImg, .CHHttpRequest_put .CHHttpRequest_headerImg { width: 40px; } .CHHttpRequest_post .CHHttpRequest_headerImg { width: 47px; } .CHHttpRequest_delete .CHHttpRequest_headerImg { width: 63px; } .CHHttpRequest_headerImg { padding-right: 10px; } .CHHttpRequest_headerImg img { vertical-align: middle; } .CHHttpRequest_headerText { width: 100%; } .CHHttpRequest_code { font-family: "Consolas", monospace; font-size: 14px; color: #696969; background: #f6f7f9; border-radius: 4px; padding: 10px 16px; } .CHResponseCode_good, .CHResponseCode_warning, .CHResponseCode_error { font-weight: bold; margin-bottom: 0; } .CHResponseCode_good + p, .CHResponseCode_warning + p, .CHResponseCode_error + p { margin-top: 0; } .CHResponseCode_good::before, .CHResponseCode_warning::before, .CHResponseCode_error::before { content: " "; display: inline-block; height: 10px; width: 10px; border-radius: 50%; } .CHResponseCode_good::before { background: #27cb7c; } .CHResponseCode_warning::before { background: #ff9d3d; } .CHResponseCode_error::before { background: #ff4741; } |